
Figure - Bug #118863
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【AUDIO】中控播放在线音乐，副屏蓝牙播荔枝播客->接飞书电话->中途切换出声方式->
挂断->断开蓝牙，中控副屏同时出声
2023-06-20 16:51 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-20

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0620

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 0115

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 和中控丢包问题同件，IOVDEV-34225

Description

【测试版本】

中控0088

副屏0620

【测试步骤】

1、中控播放在线音乐，

2、副屏连接蓝牙播荔枝播客

3、接飞书电话

4、中途切换出声方式

5、挂断

6、断开蓝牙，中控副屏同时出声

History

#1 - 2023-06-26 16:47 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 和中控丢包问题同件，IOVDEV-34225

Hi ALL

当前分析：

在断开蓝牙时，和中控申请焦点，但是未收到回复，导致了混音问题。

25552:06-20 16:39:56.275  1561  2579 D AS.AudioService: idcm_af:requestIDCMicroAudioFocus, bluetooth is disconnected. ★★★ 蓝牙断开

25553:06-20 16:39:56.275  1561  2579 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus, audiSource = AudioFocus_Media

25555:06-20 16:39:56.275  1561  2579 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus bluetooth.AudioFocus_Media

25557:06-20 16:39:56.275  1561  2579 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus,  streamtype = 3

25558:06-20 16:39:56.275  1561  2579 D AudioIDCMicroNegotiator: idcm_af:requestIDCMicroAudioFocus: AudioFocus_Media

25559:06-20 16:39:56.275  1561  2579 D AudioIDCMicroNegotiator: idcm_common:requestResult method = requestAudioFocus parameters =

{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}

25560:06-20 16:39:56.275  1561  2579 I MicroServiceManager: requestResult(requestAudioFocus) parameters

2025-07-04 1/2



is{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}.

25561:06-20 16:39:56.275  1561  2579 D AudioIDCMicroNegotiator: idcm_af:updateAudioInfo

25562:06-20 16:39:56.275  1561  2579 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState

25580:06-20 16:39:56.281  2080  2406 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1687250396275519510',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1687250396275519510,"methodName":"reque

stAudioFocus","parameters":{"functionInfo":{"IDCM_AudioFocus":"AudioFocus_Media"}}}} ★★★ 微服务发送消息给中控

25726:06-20 16:39:56.338   821  1875 D audio_hw_primary: select_devices for use case (deep-buffer-playback)

25816:06-20 16:39:56.420   821 17855 D audio_hw_primary: select_devices for use case (deep-buffer-playback)

25884:06-20 16:39:56.877  1561  2579 W AudioIDCMicroNegotiator: idcm_warn: timeout for obtainFocusState: null

25885:06-20 16:39:56.877  1561  2579 D AudioIDCMicroNegotiator: idcm_af:notifyFocusState -> notify

25886:06-20 16:39:56.877  1561  2579 D AudioIDCMicroNegotiator: idcm_af:obtainFocusState, return: 0 mIsTimeout= true time= 602 ★★★未收到消息超时

25890:06-20 16:39:56.878  1561  1879 D AudioIDCMicroNegotiator: idcm_af:wait messsage done -> onAudioFocusRemoteChanged

25891:06-20 16:39:56.878  1561  1879 D AudioService.PlaybackActivityMonitor: idcm_af:onAudioFocusRemoteChanged: 0 info= null

25893:06-20 16:39:56.878  1561  1879 D AS.AudioService: idcm_af:onAudioFocusIDCMicroChanged: 0 info: null

25894:06-20 16:39:56.878  1561  1879 W AS.AudioService: idcm_warn: onAudioFocusIDCMicroChanged: info is null return

下一步：

当时中控88版本存在丢包问题，该问题请在中控最新版本测试。

#2 - 2023-06-28 16:04 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0115

验证通过

#3 - 2023-06-28 16:04 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

1640.txt 7.46 MB 2023-06-20 CD TEST-方永红
